# WWW::SwaggerClient::MicrosoftSQLServerApi

## Load the API package
```perl
use WWW::SwaggerClient::Object::MicrosoftSQLServerApi;
```

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**mssql_list_get**](MicrosoftSQLServerApi.md#mssql_list_get) | **GET** /mssql/list | Получить список аккаунтов в MSSQL


# **mssql_list_get**
> ARRAY[InlineResponse2009] mssql_list_get(_token_ => $_token_)

Получить список аккаунтов в MSSQL

### Example 
```perl
use Data::Dumper;

my $api_instance = WWW::SwaggerClient::MicrosoftSQLServerApi->new();
my $_token_ = '_token__example'; # string | Ключ доступа, полученный при авторизации

eval { 
    my $result = $api_instance->mssql_list_get(_token_ => $_token_);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling MicrosoftSQLServerApi->mssql_list_get: $@\n";
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации | 

### Return type

[**ARRAY[InlineResponse2009]**](InlineResponse2009.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

