# WWW::SwaggerClient::Object::_

## Load the model package
```perl
use WWW::SwaggerClient::Object::_;
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**mail** | **string** | Ограничение на количество почтовых ящиков. &#39;-&#39; означает отсутствие лимита. | 
**website** | **string** | Ограничение на количество сайтов. &#39;-&#39; означает отсутствие лимита. | 
**mysql** | **boolean** | MySQL разрешен, если true. | 
**size** | **string** | Ограничение на размер дискового пространства. &#39;-&#39; означает отсутствие лимита. | 
**mssql** | **boolean** | MSSQL разрешен, если true. | 
**dynamic_content** | **boolean** | CGI и PHP скрипты разрешены, если true. | 
**php_exec** | **boolean** | Функция exec() в PHP разрешена, если true. | 
**ftp2** | **string** | Ограничение на количество дополнительных FTP логинов. &#39;-&#39; означает отсутствие лимита. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


