=begin comment

1Gb API

 API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end comment

=cut

#
# NOTE: This class is auto generated by the swagger code generator program. 
# Do not edit the class manually.
# Ref: https://github.com/swagger-api/swagger-codegen
#
package WWW::SwaggerClient::Object::InlineResponse20014;

require 5.6.0;
use strict;
use warnings;
use utf8;
use JSON qw(decode_json);
use Data::Dumper;
use Module::Runtime qw(use_module);
use Log::Any qw($log);
use Date::Parse;
use DateTime;

use base ("Class::Accessor", "Class::Data::Inheritable");


#
#
#
# NOTE: This class is auto generated by the swagger code generator program. Do not edit the class manually.
# REF: https://github.com/swagger-api/swagger-codegen
#

=begin comment

1Gb API

 API для работы с хостингом позволяет автоматизировать управление ресурсами и анализ данных.  ## Примеры использования API хостинга:  * Отслеживание состояния аккаунта и своевременный анализ уведомлений * Автоматическое создание, удаление, конфигурирование ресурсов * Доступ к данным внутреннего мониторинга 1Gb.ru, анализ качества работы VDS * Автоматизация типовых реакций на проблемы ресурсов и хостинга   Доступ к API хостинга активен в любом оплаченном тарифном плане. Для тестовых или бесплатных аккаунтов API не работает.   ## Принципы работы и примеры  Доступ происходит по протоколу HTTPS по базовому адресу https://www.1gb.ru/api/. Параметры большинства запросов можно передавать с помощью GET или POST параметров. Ответ содержит объект или массив объектов по стандарту JSON.  Перед началом работы с API требуется получить token для дальнейшей авторизации. Это делается следующим образом (приведены примеры использования GET параметров):  1. https://www.1gb.ru/api/auth/start?login=[логин_кабинета] - возвращает в ответ string, содержащий соль 2. https://www.1gb.ru/api/auth/login?login=[логин_кабинета]&salt=[соль]&response=[response] - возвращает в ответ string, содержащий token; псевдокод для вычисления response на PHP: *md5($password.$salt.\"\\n\")* (сумма md5 строки \"пароль+соль+символ-перевода-строки\")  Последний запрос возвращает string, в нем token, его нужно запомнить и использовать для последующей авторизации. Token утрачивает силу при смене главного пароля аккаунта, существует также возможность деактивировать отдельные token-ы со страницы кабинета \"смена главного пароля аккаунта\".  Примеры дальнейших запросов:      https://www.1gb.ru/api/billing/info?_token_=[запомненный token] - получение общих данных аккаунта   Ответы API с HTTP кодом 200 обозначают успешное исполнение операции. В ответном JSON может содержаться два разных типа:  * [ \"string\" ]: либо просто \"OK\", либо \"[число]\" (необходимо привести к int), если возвращается ID созданного объекта * [ { ... } , { ... } ] (массив объектов): если запрос возвращает список из 0 или более структур (хеш \"поле\":\"значение\").   Другие коды (больше 200) обозначают ошибку, при этом тело ответа содержит string с объяснением, пример: \"ERROR: vds.missing\".  ## Команды API и общие соглашения  Большинство команд API, таких как /list, возвращают внутренние структуры из базы данных хостинга, которые содержат сотни полей. Документировать их трудоемко, поэтому рекомендуем просто смотреть на вывод соответствующих команд и анализировать структуры данных по очевидным названиям полей.  В том случае, если трактовка полей вызывает затруднения, пишите на support@1gb.ru, поможем разобраться.  ## Общедоступные на данный момент команды  https://www.1gb.ru/api + адрес из списка ниже. Обязательный параметр каждой команды (кроме этапа авторизации) - _token_. Остальные параметры приведены после команды.  

OpenAPI spec version: 2.0.0

Generated by: https://github.com/swagger-api/swagger-codegen.git

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

=end comment

=cut

#
# NOTE: This class is auto generated by the swagger code generator program. 
# Do not edit the class manually.
# Ref: https://github.com/swagger-api/swagger-codegen
#
__PACKAGE__->mk_classdata('attribute_map' => {});
__PACKAGE__->mk_classdata('swagger_types' => {});
__PACKAGE__->mk_classdata('method_documentation' => {}); 
__PACKAGE__->mk_classdata('class_documentation' => {});

# new object
sub new { 
    my ($class, %args) = @_; 

	my $self = bless {}, $class;
	
	foreach my $attribute (keys %{$class->attribute_map}) {
		my $args_key = $class->attribute_map->{$attribute};
		$self->$attribute( $args{ $args_key } );
	}
	
	return $self;
}  

# return perl hash
sub to_hash {
    return decode_json(JSON->new->convert_blessed->encode( shift ));
}

# used by JSON for serialization
sub TO_JSON { 
    my $self = shift;
    my $_data = {};
    foreach my $_key (keys %{$self->attribute_map}) {
        if (defined $self->{$_key}) {
            $_data->{$self->attribute_map->{$_key}} = $self->{$_key};
        }
    }
    return $_data;
}

# from Perl hashref
sub from_hash {
    my ($self, $hash) = @_;

    # loop through attributes and use swagger_types to deserialize the data
    while ( my ($_key, $_type) = each %{$self->swagger_types} ) {
    	my $_json_attribute = $self->attribute_map->{$_key}; 
        if ($_type =~ /^array\[/i) { # array
            my $_subclass = substr($_type, 6, -1);
            my @_array = ();
            foreach my $_element (@{$hash->{$_json_attribute}}) {
                push @_array, $self->_deserialize($_subclass, $_element);
            }
            $self->{$_key} = \@_array;
        } elsif (exists $hash->{$_json_attribute}) { #hash(model), primitive, datetime
            $self->{$_key} = $self->_deserialize($_type, $hash->{$_json_attribute});
        } else {
        	$log->debugf("Warning: %s (%s) does not exist in input hash\n", $_key, $_json_attribute);
        }
    }
  
    return $self;
}

# deserialize non-array data
sub _deserialize {
    my ($self, $type, $data) = @_;
    $log->debugf("deserializing %s with %s",Dumper($data), $type);
        
    if ($type eq 'DateTime') {
        return DateTime->from_epoch(epoch => str2time($data));
    } elsif ( grep( /^$type$/, ('int', 'double', 'string', 'boolean'))) {
        return $data;
    } else { # hash(model)
        my $_instance = eval "WWW::SwaggerClient::Object::$type->new()";
        return $_instance->from_hash($data);
    }
}



__PACKAGE__->class_documentation({description => '',
                                  class => 'InlineResponse20014',
                                  required => [], # TODO
}                                 );

__PACKAGE__->method_documentation({
    'id' => {
    	datatype => 'int',
    	base_name => 'id',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'status' => {
    	datatype => 'string',
    	base_name => 'status',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'unmovable' => {
    	datatype => 'string',
    	base_name => 'unmovable',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'online' => {
    	datatype => 'string',
    	base_name => 'online',
    	description => 'Включен (активен), если true.',
    	format => '',
    	read_only => '',
    		},
    'deleted' => {
    	datatype => 'string',
    	base_name => 'deleted',
    	description => 'Удален, если true. Данные могут сохраняться.',
    	format => '',
    	read_only => '',
    		},
    'deleted_auto' => {
    	datatype => 'string',
    	base_name => 'deleted_auto',
    	description => 'Удален, если true. Данные могут сохраняться.',
    	format => '',
    	read_only => '',
    		},
    'deleted_dump' => {
    	datatype => 'string',
    	base_name => 'deleted_dump',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'user_id' => {
    	datatype => 'string',
    	base_name => 'user_id',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'ftp_id' => {
    	datatype => 'string',
    	base_name => 'ftp_id',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'dns_id' => {
    	datatype => 'string',
    	base_name => 'dns_id',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'iis_id' => {
    	datatype => 'string',
    	base_name => 'iis_id',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'iis_binding' => {
    	datatype => 'string',
    	base_name => 'iis_binding',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'iis_path' => {
    	datatype => 'string',
    	base_name => 'iis_path',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'iis_comments' => {
    	datatype => 'string',
    	base_name => 'iis_comments',
    	description => 'Уникальное строковое имя сайта (ID).',
    	format => '',
    	read_only => '',
    		},
    'memo' => {
    	datatype => 'string',
    	base_name => 'memo',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'date_reg' => {
    	datatype => 'string',
    	base_name => 'date_reg',
    	description => 'Дата создания.',
    	format => '',
    	read_only => '',
    		},
    'server' => {
    	datatype => 'string',
    	base_name => 'server',
    	description => 'Тип веб-сервера.',
    	format => '',
    	read_only => '',
    		},
    'server_bak' => {
    	datatype => 'string',
    	base_name => 'server_bak',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'server_aux' => {
    	datatype => 'string',
    	base_name => 'server_aux',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'server_transition' => {
    	datatype => 'string',
    	base_name => 'server_transition',
    	description => 'Тип сервера недавно изменялся, если true.',
    	format => '',
    	read_only => '',
    		},
    'server_transition_dtc' => {
    	datatype => 'string',
    	base_name => 'server_transition_dtc',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'block_transfer' => {
    	datatype => 'string',
    	base_name => 'block_transfer',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'server_changed_time' => {
    	datatype => 'string',
    	base_name => 'server_changed_time',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'size_amount' => {
    	datatype => 'string',
    	base_name => 'size_amount',
    	description => 'Размер веб-сайта - объем (Кб).',
    	format => '',
    	read_only => '',
    		},
    'size_file_count' => {
    	datatype => 'string',
    	base_name => 'size_file_count',
    	description => 'Размер веб-сайта - кол-во файлов.',
    	format => '',
    	read_only => '',
    		},
    'size_file_count_limit' => {
    	datatype => 'string',
    	base_name => 'size_file_count_limit',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'size_date' => {
    	datatype => 'string',
    	base_name => 'size_date',
    	description => 'Размер веб-сайта - дата замера.',
    	format => '',
    	read_only => '',
    		},
    'size_priority_scan' => {
    	datatype => 'string',
    	base_name => 'size_priority_scan',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'copy_logs' => {
    	datatype => 'string',
    	base_name => 'copy_logs',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'content_comments' => {
    	datatype => 'string',
    	base_name => 'content_comments',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'content_comments_verbose' => {
    	datatype => 'string',
    	base_name => 'content_comments_verbose',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'meta_save_count' => {
    	datatype => 'string',
    	base_name => 'meta_save_count',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'base_folder' => {
    	datatype => 'string',
    	base_name => 'base_folder',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'virtualhost_conf' => {
    	datatype => 'string',
    	base_name => 'virtualhost_conf',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'virtualhost_server' => {
    	datatype => 'string',
    	base_name => 'virtualhost_server',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'virtualhost_server_conf' => {
    	datatype => 'string',
    	base_name => 'virtualhost_server_conf',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'live_day_count' => {
    	datatype => 'string',
    	base_name => 'live_day_count',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'scan_date' => {
    	datatype => 'string',
    	base_name => 'scan_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'global_transfer_count' => {
    	datatype => 'string',
    	base_name => 'global_transfer_count',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'net_limit_file' => {
    	datatype => 'string',
    	base_name => 'net_limit_file',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'net_limit_deny_from_ip' => {
    	datatype => 'string',
    	base_name => 'net_limit_deny_from_ip',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'net_limit_deny_from_agent' => {
    	datatype => 'string',
    	base_name => 'net_limit_deny_from_agent',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'apache_php_pooled' => {
    	datatype => 'string',
    	base_name => 'apache_php_pooled',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'apache_php_pooled_ext' => {
    	datatype => 'string',
    	base_name => 'apache_php_pooled_ext',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'apache_php_pooled_ext_auto' => {
    	datatype => 'string',
    	base_name => 'apache_php_pooled_ext_auto',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'apache_php_pool1_only' => {
    	datatype => 'string',
    	base_name => 'apache_php_pool1_only',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'apache_php_pool5_only' => {
    	datatype => 'string',
    	base_name => 'apache_php_pool5_only',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'apache_ssi' => {
    	datatype => 'string',
    	base_name => 'apache_ssi',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'bypass_security' => {
    	datatype => 'string',
    	base_name => 'bypass_security',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'flag_generic_exec' => {
    	datatype => 'string',
    	base_name => 'flag_generic_exec',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'flag_no_www' => {
    	datatype => 'string',
    	base_name => 'flag_no_www',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'base_folder_suffix' => {
    	datatype => 'string',
    	base_name => 'base_folder_suffix',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'feedback_speed' => {
    	datatype => 'string',
    	base_name => 'feedback_speed',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'feedback_speed_dtc' => {
    	datatype => 'string',
    	base_name => 'feedback_speed_dtc',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'feedback_speed_feedback' => {
    	datatype => 'string',
    	base_name => 'feedback_speed_feedback',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'unix_path_on_windows' => {
    	datatype => 'string',
    	base_name => 'unix_path_on_windows',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'ftp_ipfilter' => {
    	datatype => 'string',
    	base_name => 'ftp_ipfilter',
    	description => 'Ограничение по IP адресам - FTP доступ.',
    	format => '',
    	read_only => '',
    		},
    'ssh_ipfilter' => {
    	datatype => 'string',
    	base_name => 'ssh_ipfilter',
    	description => 'Ограничение по IP адресам - SSH доступ.',
    	format => '',
    	read_only => '',
    		},
    'l3d_auto' => {
    	datatype => 'string',
    	base_name => 'l3d_auto',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'awstats_primary_domain' => {
    	datatype => 'string',
    	base_name => 'awstats_primary_domain',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'sharepoint_mode' => {
    	datatype => 'string',
    	base_name => 'sharepoint_mode',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'sharepoint_mode_pending' => {
    	datatype => 'string',
    	base_name => 'sharepoint_mode_pending',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'apache_generic_pool_port' => {
    	datatype => 'string',
    	base_name => 'apache_generic_pool_port',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'mongrel_environment' => {
    	datatype => 'string',
    	base_name => 'mongrel_environment',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'flag_free' => {
    	datatype => 'string',
    	base_name => 'flag_free',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'rtm_scan_date' => {
    	datatype => 'string',
    	base_name => 'rtm_scan_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'analyze_analog' => {
    	datatype => 'string',
    	base_name => 'analyze_analog',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'cpu_details_enabled' => {
    	datatype => 'string',
    	base_name => 'cpu_details_enabled',
    	description => 'Включен режим предоставления детализации процессорной нагрузки.',
    	format => '',
    	read_only => '',
    		},
    'content_moderated_status' => {
    	datatype => 'string',
    	base_name => 'content_moderated_status',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'content_moderated_date' => {
    	datatype => 'string',
    	base_name => 'content_moderated_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'http_frontend_ip' => {
    	datatype => 'string',
    	base_name => 'http_frontend_ip',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'http_frontend_ip_transition' => {
    	datatype => 'string',
    	base_name => 'http_frontend_ip_transition',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'cpu_limit_exceeded_date' => {
    	datatype => 'string',
    	base_name => 'cpu_limit_exceeded_date',
    	description => 'Дата последнего превышения процессорной нагрузки.',
    	format => '',
    	read_only => '',
    		},
    'aufs_template' => {
    	datatype => 'string',
    	base_name => 'aufs_template',
    	description => 'Признак сайта-конструктора.',
    	format => '',
    	read_only => '',
    		},
    'options_autolimit' => {
    	datatype => 'string',
    	base_name => 'options_autolimit',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'iis_creation_commands' => {
    	datatype => 'string',
    	base_name => 'iis_creation_commands',
    	description => 'Версия ASP.NET, если отлична от 2.0.',
    	format => '',
    	read_only => '',
    		},
    'iis_creation_commands_unix' => {
    	datatype => 'string',
    	base_name => 'iis_creation_commands_unix',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'thumb_date' => {
    	datatype => 'string',
    	base_name => 'thumb_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'thumb_failed' => {
    	datatype => 'string',
    	base_name => 'thumb_failed',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'backup_stat_date' => {
    	datatype => 'string',
    	base_name => 'backup_stat_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'backup_date' => {
    	datatype => 'string',
    	base_name => 'backup_date',
    	description => 'Дата пофайловой резервной копии.',
    	format => '',
    	read_only => '',
    		},
    'detected_packages' => {
    	datatype => 'string',
    	base_name => 'detected_packages',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'stat_site_power' => {
    	datatype => 'string',
    	base_name => 'stat_site_power',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'smtp_from' => {
    	datatype => 'string',
    	base_name => 'smtp_from',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'super_backup_date' => {
    	datatype => 'string',
    	base_name => 'super_backup_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'backup_delta_stat_date' => {
    	datatype => 'string',
    	base_name => 'backup_delta_stat_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'backup_delta_date' => {
    	datatype => 'string',
    	base_name => 'backup_delta_date',
    	description => 'Дата архивной резервной копии.',
    	format => '',
    	read_only => '',
    		},
    'backup_delta_desc' => {
    	datatype => 'string',
    	base_name => 'backup_delta_desc',
    	description => 'Содержимое архивной резервной копии.',
    	format => '',
    	read_only => '',
    		},
    'alt_docroot_server' => {
    	datatype => 'string',
    	base_name => 'alt_docroot_server',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'alt_docroot_path' => {
    	datatype => 'string',
    	base_name => 'alt_docroot_path',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'alt_docroot_status' => {
    	datatype => 'string',
    	base_name => 'alt_docroot_status',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'alt_docroot_status_cnt' => {
    	datatype => 'string',
    	base_name => 'alt_docroot_status_cnt',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'alt_docroot_status_date' => {
    	datatype => 'string',
    	base_name => 'alt_docroot_status_date',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'bind_dtc' => {
    	datatype => 'string',
    	base_name => 'bind_dtc',
    	description => 'Последнее изменение привязок доменов для сайта.',
    	format => '',
    	read_only => '',
    		},
    'backup_special_mode' => {
    	datatype => 'string',
    	base_name => 'backup_special_mode',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'size_check_problem' => {
    	datatype => 'string',
    	base_name => 'size_check_problem',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'wpb_domain' => {
    	datatype => 'string',
    	base_name => 'wpb_domain',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'wpb_uuid' => {
    	datatype => 'string',
    	base_name => 'wpb_uuid',
    	description => 'Для сайта включен конструктор Parallels WPB.',
    	format => '',
    	read_only => '',
    		},
    'wpb_status' => {
    	datatype => 'string',
    	base_name => 'wpb_status',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'admin_protection' => {
    	datatype => 'string',
    	base_name => 'admin_protection',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'size_comments' => {
    	datatype => 'string',
    	base_name => 'size_comments',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'alt_docroot_ssd_req' => {
    	datatype => 'string',
    	base_name => 'alt_docroot_ssd_req',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'mail_limit' => {
    	datatype => 'string',
    	base_name => 'mail_limit',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'mail_accept' => {
    	datatype => 'string',
    	base_name => 'mail_accept',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'mail_drop' => {
    	datatype => 'string',
    	base_name => 'mail_drop',
    	description => '',
    	format => '',
    	read_only => '',
    		},
    'ftp_name' => {
    	datatype => 'string',
    	base_name => 'ftp_name',
    	description => 'FTP/SSH/SCP/SFTP логин.',
    	format => '',
    	read_only => '',
    		},
    'ftp_pwd' => {
    	datatype => 'string',
    	base_name => 'ftp_pwd',
    	description => 'FTP/SSH/SCP/SFTP пароль.',
    	format => '',
    	read_only => '',
    		},
});

__PACKAGE__->swagger_types( {
    'id' => 'int',
    'status' => 'string',
    'unmovable' => 'string',
    'online' => 'string',
    'deleted' => 'string',
    'deleted_auto' => 'string',
    'deleted_dump' => 'string',
    'user_id' => 'string',
    'ftp_id' => 'string',
    'dns_id' => 'string',
    'iis_id' => 'string',
    'iis_binding' => 'string',
    'iis_path' => 'string',
    'iis_comments' => 'string',
    'memo' => 'string',
    'date_reg' => 'string',
    'server' => 'string',
    'server_bak' => 'string',
    'server_aux' => 'string',
    'server_transition' => 'string',
    'server_transition_dtc' => 'string',
    'block_transfer' => 'string',
    'server_changed_time' => 'string',
    'size_amount' => 'string',
    'size_file_count' => 'string',
    'size_file_count_limit' => 'string',
    'size_date' => 'string',
    'size_priority_scan' => 'string',
    'copy_logs' => 'string',
    'content_comments' => 'string',
    'content_comments_verbose' => 'string',
    'meta_save_count' => 'string',
    'base_folder' => 'string',
    'virtualhost_conf' => 'string',
    'virtualhost_server' => 'string',
    'virtualhost_server_conf' => 'string',
    'live_day_count' => 'string',
    'scan_date' => 'string',
    'global_transfer_count' => 'string',
    'net_limit_file' => 'string',
    'net_limit_deny_from_ip' => 'string',
    'net_limit_deny_from_agent' => 'string',
    'apache_php_pooled' => 'string',
    'apache_php_pooled_ext' => 'string',
    'apache_php_pooled_ext_auto' => 'string',
    'apache_php_pool1_only' => 'string',
    'apache_php_pool5_only' => 'string',
    'apache_ssi' => 'string',
    'bypass_security' => 'string',
    'flag_generic_exec' => 'string',
    'flag_no_www' => 'string',
    'base_folder_suffix' => 'string',
    'feedback_speed' => 'string',
    'feedback_speed_dtc' => 'string',
    'feedback_speed_feedback' => 'string',
    'unix_path_on_windows' => 'string',
    'ftp_ipfilter' => 'string',
    'ssh_ipfilter' => 'string',
    'l3d_auto' => 'string',
    'awstats_primary_domain' => 'string',
    'sharepoint_mode' => 'string',
    'sharepoint_mode_pending' => 'string',
    'apache_generic_pool_port' => 'string',
    'mongrel_environment' => 'string',
    'flag_free' => 'string',
    'rtm_scan_date' => 'string',
    'analyze_analog' => 'string',
    'cpu_details_enabled' => 'string',
    'content_moderated_status' => 'string',
    'content_moderated_date' => 'string',
    'http_frontend_ip' => 'string',
    'http_frontend_ip_transition' => 'string',
    'cpu_limit_exceeded_date' => 'string',
    'aufs_template' => 'string',
    'options_autolimit' => 'string',
    'iis_creation_commands' => 'string',
    'iis_creation_commands_unix' => 'string',
    'thumb_date' => 'string',
    'thumb_failed' => 'string',
    'backup_stat_date' => 'string',
    'backup_date' => 'string',
    'detected_packages' => 'string',
    'stat_site_power' => 'string',
    'smtp_from' => 'string',
    'super_backup_date' => 'string',
    'backup_delta_stat_date' => 'string',
    'backup_delta_date' => 'string',
    'backup_delta_desc' => 'string',
    'alt_docroot_server' => 'string',
    'alt_docroot_path' => 'string',
    'alt_docroot_status' => 'string',
    'alt_docroot_status_cnt' => 'string',
    'alt_docroot_status_date' => 'string',
    'bind_dtc' => 'string',
    'backup_special_mode' => 'string',
    'size_check_problem' => 'string',
    'wpb_domain' => 'string',
    'wpb_uuid' => 'string',
    'wpb_status' => 'string',
    'admin_protection' => 'string',
    'size_comments' => 'string',
    'alt_docroot_ssd_req' => 'string',
    'mail_limit' => 'string',
    'mail_accept' => 'string',
    'mail_drop' => 'string',
    'ftp_name' => 'string',
    'ftp_pwd' => 'string'
} );

__PACKAGE__->attribute_map( {
    'id' => 'id',
    'status' => 'status',
    'unmovable' => 'unmovable',
    'online' => 'online',
    'deleted' => 'deleted',
    'deleted_auto' => 'deleted_auto',
    'deleted_dump' => 'deleted_dump',
    'user_id' => 'user_id',
    'ftp_id' => 'ftp_id',
    'dns_id' => 'dns_id',
    'iis_id' => 'iis_id',
    'iis_binding' => 'iis_binding',
    'iis_path' => 'iis_path',
    'iis_comments' => 'iis_comments',
    'memo' => 'memo',
    'date_reg' => 'date_reg',
    'server' => 'server',
    'server_bak' => 'server_bak',
    'server_aux' => 'server_aux',
    'server_transition' => 'server_transition',
    'server_transition_dtc' => 'server_transition_dtc',
    'block_transfer' => 'block_transfer',
    'server_changed_time' => 'server_changed_time',
    'size_amount' => 'size_amount',
    'size_file_count' => 'size_file_count',
    'size_file_count_limit' => 'size_file_count_limit',
    'size_date' => 'size_date',
    'size_priority_scan' => 'size_priority_scan',
    'copy_logs' => 'copy_logs',
    'content_comments' => 'content_comments',
    'content_comments_verbose' => 'content_comments_verbose',
    'meta_save_count' => 'meta_save_count',
    'base_folder' => 'base_folder',
    'virtualhost_conf' => 'virtualhost_conf',
    'virtualhost_server' => 'virtualhost_server',
    'virtualhost_server_conf' => 'virtualhost_server_conf',
    'live_day_count' => 'live_day_count',
    'scan_date' => 'scan_date',
    'global_transfer_count' => 'global_transfer_count',
    'net_limit_file' => 'net_limit_file',
    'net_limit_deny_from_ip' => 'net_limit_deny_from_ip',
    'net_limit_deny_from_agent' => 'net_limit_deny_from_agent',
    'apache_php_pooled' => 'apache_php_pooled',
    'apache_php_pooled_ext' => 'apache_php_pooled_ext',
    'apache_php_pooled_ext_auto' => 'apache_php_pooled_ext_auto',
    'apache_php_pool1_only' => 'apache_php_pool1_only',
    'apache_php_pool5_only' => 'apache_php_pool5_only',
    'apache_ssi' => 'apache_ssi',
    'bypass_security' => 'bypass_security',
    'flag_generic_exec' => 'flag_generic_exec',
    'flag_no_www' => 'flag_no_www',
    'base_folder_suffix' => 'base_folder_suffix',
    'feedback_speed' => 'feedback_speed',
    'feedback_speed_dtc' => 'feedback_speed_dtc',
    'feedback_speed_feedback' => 'feedback_speed_feedback',
    'unix_path_on_windows' => 'unix_path_on_windows',
    'ftp_ipfilter' => 'ftp_ipfilter',
    'ssh_ipfilter' => 'ssh_ipfilter',
    'l3d_auto' => 'l3d_auto',
    'awstats_primary_domain' => 'awstats_primary_domain',
    'sharepoint_mode' => 'sharepoint_mode',
    'sharepoint_mode_pending' => 'sharepoint_mode_pending',
    'apache_generic_pool_port' => 'apache_generic_pool_port',
    'mongrel_environment' => 'mongrel_environment',
    'flag_free' => 'flag_free',
    'rtm_scan_date' => 'rtm_scan_date',
    'analyze_analog' => 'analyze_analog',
    'cpu_details_enabled' => 'cpu_details_enabled',
    'content_moderated_status' => 'content_moderated_status',
    'content_moderated_date' => 'content_moderated_date',
    'http_frontend_ip' => 'http_frontend_ip',
    'http_frontend_ip_transition' => 'http_frontend_ip_transition',
    'cpu_limit_exceeded_date' => 'cpu_limit_exceeded_date',
    'aufs_template' => 'aufs_template',
    'options_autolimit' => 'options_autolimit',
    'iis_creation_commands' => 'iis_creation_commands',
    'iis_creation_commands_unix' => 'iis_creation_commands_unix',
    'thumb_date' => 'thumb_date',
    'thumb_failed' => 'thumb_failed',
    'backup_stat_date' => 'backup_stat_date',
    'backup_date' => 'backup_date',
    'detected_packages' => 'detected_packages',
    'stat_site_power' => 'stat_site_power',
    'smtp_from' => 'smtp_from',
    'super_backup_date' => 'super_backup_date',
    'backup_delta_stat_date' => 'backup_delta_stat_date',
    'backup_delta_date' => 'backup_delta_date',
    'backup_delta_desc' => 'backup_delta_desc',
    'alt_docroot_server' => 'alt_docroot_server',
    'alt_docroot_path' => 'alt_docroot_path',
    'alt_docroot_status' => 'alt_docroot_status',
    'alt_docroot_status_cnt' => 'alt_docroot_status_cnt',
    'alt_docroot_status_date' => 'alt_docroot_status_date',
    'bind_dtc' => 'bind_dtc',
    'backup_special_mode' => 'backup_special_mode',
    'size_check_problem' => 'size_check_problem',
    'wpb_domain' => 'wpb_domain',
    'wpb_uuid' => 'wpb_uuid',
    'wpb_status' => 'wpb_status',
    'admin_protection' => 'admin_protection',
    'size_comments' => 'size_comments',
    'alt_docroot_ssd_req' => 'alt_docroot_ssd_req',
    'mail_limit' => 'mail_limit',
    'mail_accept' => 'mail_accept',
    'mail_drop' => 'mail_drop',
    'ftp_name' => 'ftp_name',
    'ftp_pwd' => 'ftp_pwd'
} );

__PACKAGE__->mk_accessors(keys %{__PACKAGE__->attribute_map});


1;
