# WWW::SwaggerClient::HostingiisAPIApi

## Load the API package
```perl
use WWW::SwaggerClient::Object::HostingiisAPIApi;
```

All URIs are relative to *https://www.1gb.ru/api*

Method | HTTP request | Description
------------- | ------------- | -------------
[**iis_list_get**](HostingiisAPIApi.md#iis_list_get) | **GET** /iis/list | Список сайтов IIS


# **iis_list_get**
> ARRAY[InlineResponse2008] iis_list_get(_token_ => $_token_)

Список сайтов IIS

### Example 
```perl
use Data::Dumper;

my $api_instance = WWW::SwaggerClient::HostingiisAPIApi->new();
my $_token_ = '_token__example'; # string | Ключ доступа, полученный при авторизации

eval { 
    my $result = $api_instance->iis_list_get(_token_ => $_token_);
    print Dumper($result);
};
if ($@) {
    warn "Exception when calling HostingiisAPIApi->iis_list_get: $@\n";
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **_token_** | **string**| Ключ доступа, полученный при авторизации | 

### Return type

[**ARRAY[InlineResponse2008]**](InlineResponse2008.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

