# WWW::SwaggerClient::Object::InlineResponse20014

## Load the model package
```perl
use WWW::SwaggerClient::Object::InlineResponse20014;
```

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**id** | **int** |  | 
**status** | **string** |  | 
**unmovable** | **string** |  | 
**online** | **string** | Включен (активен), если true. | 
**deleted** | **string** | Удален, если true. Данные могут сохраняться. | 
**deleted_auto** | **string** | Удален, если true. Данные могут сохраняться. | 
**deleted_dump** | **string** |  | 
**user_id** | **string** |  | 
**ftp_id** | **string** |  | 
**dns_id** | **string** |  | 
**iis_id** | **string** |  | 
**iis_binding** | **string** |  | 
**iis_path** | **string** |  | 
**iis_comments** | **string** | Уникальное строковое имя сайта (ID). | 
**memo** | **string** |  | 
**date_reg** | **string** | Дата создания. | 
**server** | **string** | Тип веб-сервера. | 
**server_bak** | **string** |  | 
**server_aux** | **string** |  | 
**server_transition** | **string** | Тип сервера недавно изменялся, если true. | 
**server_transition_dtc** | **string** |  | 
**block_transfer** | **string** |  | 
**server_changed_time** | **string** |  | 
**size_amount** | **string** | Размер веб-сайта - объем (Кб). | 
**size_file_count** | **string** | Размер веб-сайта - кол-во файлов. | 
**size_file_count_limit** | **string** |  | 
**size_date** | **string** | Размер веб-сайта - дата замера. | 
**size_priority_scan** | **string** |  | 
**copy_logs** | **string** |  | 
**content_comments** | **string** |  | 
**content_comments_verbose** | **string** |  | 
**meta_save_count** | **string** |  | 
**base_folder** | **string** |  | 
**virtualhost_conf** | **string** |  | 
**virtualhost_server** | **string** |  | 
**virtualhost_server_conf** | **string** |  | 
**live_day_count** | **string** |  | 
**scan_date** | **string** |  | 
**global_transfer_count** | **string** |  | 
**net_limit_file** | **string** |  | 
**net_limit_deny_from_ip** | **string** |  | 
**net_limit_deny_from_agent** | **string** |  | 
**apache_php_pooled** | **string** |  | 
**apache_php_pooled_ext** | **string** |  | 
**apache_php_pooled_ext_auto** | **string** |  | 
**apache_php_pool1_only** | **string** |  | 
**apache_php_pool5_only** | **string** |  | 
**apache_ssi** | **string** |  | 
**bypass_security** | **string** |  | 
**flag_generic_exec** | **string** |  | 
**flag_no_www** | **string** |  | 
**base_folder_suffix** | **string** |  | 
**feedback_speed** | **string** |  | 
**feedback_speed_dtc** | **string** |  | 
**feedback_speed_feedback** | **string** |  | 
**unix_path_on_windows** | **string** |  | 
**ftp_ipfilter** | **string** | Ограничение по IP адресам - FTP доступ. | 
**ssh_ipfilter** | **string** | Ограничение по IP адресам - SSH доступ. | 
**l3d_auto** | **string** |  | 
**awstats_primary_domain** | **string** |  | 
**sharepoint_mode** | **string** |  | 
**sharepoint_mode_pending** | **string** |  | 
**apache_generic_pool_port** | **string** |  | 
**mongrel_environment** | **string** |  | 
**flag_free** | **string** |  | 
**rtm_scan_date** | **string** |  | 
**analyze_analog** | **string** |  | 
**cpu_details_enabled** | **string** | Включен режим предоставления детализации процессорной нагрузки. | 
**content_moderated_status** | **string** |  | 
**content_moderated_date** | **string** |  | 
**http_frontend_ip** | **string** |  | 
**http_frontend_ip_transition** | **string** |  | 
**cpu_limit_exceeded_date** | **string** | Дата последнего превышения процессорной нагрузки. | 
**aufs_template** | **string** | Признак сайта-конструктора. | 
**options_autolimit** | **string** |  | 
**iis_creation_commands** | **string** | Версия ASP.NET, если отлична от 2.0. | 
**iis_creation_commands_unix** | **string** |  | 
**thumb_date** | **string** |  | 
**thumb_failed** | **string** |  | 
**backup_stat_date** | **string** |  | 
**backup_date** | **string** | Дата пофайловой резервной копии. | 
**detected_packages** | **string** |  | 
**stat_site_power** | **string** |  | 
**smtp_from** | **string** |  | 
**super_backup_date** | **string** |  | 
**backup_delta_stat_date** | **string** |  | 
**backup_delta_date** | **string** | Дата архивной резервной копии. | 
**backup_delta_desc** | **string** | Содержимое архивной резервной копии. | 
**alt_docroot_server** | **string** |  | 
**alt_docroot_path** | **string** |  | 
**alt_docroot_status** | **string** |  | 
**alt_docroot_status_cnt** | **string** |  | 
**alt_docroot_status_date** | **string** |  | 
**bind_dtc** | **string** | Последнее изменение привязок доменов для сайта. | 
**backup_special_mode** | **string** |  | 
**size_check_problem** | **string** |  | 
**wpb_domain** | **string** |  | 
**wpb_uuid** | **string** | Для сайта включен конструктор Parallels WPB. | 
**wpb_status** | **string** |  | 
**admin_protection** | **string** |  | 
**size_comments** | **string** |  | 
**alt_docroot_ssd_req** | **string** |  | 
**mail_limit** | **string** |  | 
**mail_accept** | **string** |  | 
**mail_drop** | **string** |  | 
**ftp_name** | **string** | FTP/SSH/SCP/SFTP логин. | 
**ftp_pwd** | **string** | FTP/SSH/SCP/SFTP пароль. | 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


